Boomi API Control Plane REST API - APIs
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get API
Get a single API.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| includeRunningJobs | boolean |
Responses
Response Schema: application/json
| displayName required | string Display name. |
| name required | string Technical name, used in URLs. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE (subscribable) or INACTIVE. |
| tags required | Array of strings unique |
| type required | string Enum: "REST" "GRAPHQL" |
| id | string <uuid> System-assigned ID (read-only). |
| description | string <= 1000 characters Optional description of the API. |
| url | string Base path on the gateway. |
| owner | string <uuid> Owning organization UUID. |
| gitUrl | string Git repo URL for Git-managed APIs. |
| gitCredential | string <uuid> Git credential UUID for repo access. |
| platformType | string Gateway platform (e.g. BOOMI, AWS, KONG). |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status across environments. |
| createdAt | string <date-time> Timestamp when the API was created (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this API (read-only). |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| globalApiId | string Identifier shared across all deployments of this API. For example, the ApiService Component ID when deployed to a Boomi gateway. |
Array of objects (RunningJobDTO) Active background jobs for this API. Requires includeRunningJobs=true. |
Response samples
- 200
- default
{- "id": 1,
- "name": "petstore",
- "displayName": "Petstore API",
- "description": "some text...",
- "url": "/petstore",
- "status": "ACTIVE",
- "owner": 1,
- "tags": [
- "string"
], - "type": "REST",
- "gitUrl": "git@github.com:test/my-repo.git",
- "gitCredential": 1,
- "platformType": "AWS",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "hasImage": false,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "globalApiId": "string",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}Update API
Update an API.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
| displayName required | string Display name. |
| name required | string Technical name, used in URLs. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE (subscribable) or INACTIVE. |
| tags required | Array of strings unique |
| type required | string Enum: "REST" "GRAPHQL" |
| id | string <uuid> System-assigned ID (read-only). |
| description | string <= 1000 characters Optional description of the API. |
| url | string Base path on the gateway. |
| owner | string <uuid> Owning organization UUID. |
| gitUrl | string Git repo URL for Git-managed APIs. |
| gitCredential | string <uuid> Git credential UUID for repo access. |
| platformType | string Gateway platform (e.g. BOOMI, AWS, KONG). |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status across environments. |
| createdAt | string <date-time> Timestamp when the API was created (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this API (read-only). |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| globalApiId | string Identifier shared across all deployments of this API. For example, the ApiService Component ID when deployed to a Boomi gateway. |
Array of objects (RunningJobDTO) Active background jobs for this API. Requires includeRunningJobs=true. |
Responses
Response Schema: application/json
| displayName required | string Display name. |
| name required | string Technical name, used in URLs. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE (subscribable) or INACTIVE. |
| tags required | Array of strings unique |
| type required | string Enum: "REST" "GRAPHQL" |
| id | string <uuid> System-assigned ID (read-only). |
| description | string <= 1000 characters Optional description of the API. |
| url | string Base path on the gateway. |
| owner | string <uuid> Owning organization UUID. |
| gitUrl | string Git repo URL for Git-managed APIs. |
| gitCredential | string <uuid> Git credential UUID for repo access. |
| platformType | string Gateway platform (e.g. BOOMI, AWS, KONG). |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status across environments. |
| createdAt | string <date-time> Timestamp when the API was created (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this API (read-only). |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| globalApiId | string Identifier shared across all deployments of this API. For example, the ApiService Component ID when deployed to a Boomi gateway. |
Array of objects (RunningJobDTO) Active background jobs for this API. Requires includeRunningJobs=true. |
Request samples
- Payload
{- "id": 1,
- "name": "petstore",
- "displayName": "Petstore API",
- "description": "some text...",
- "url": "/petstore",
- "status": "ACTIVE",
- "owner": 1,
- "tags": [
- "string"
], - "type": "REST",
- "gitUrl": "git@github.com:test/my-repo.git",
- "gitCredential": 1,
- "platformType": "AWS",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "hasImage": false,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "globalApiId": "string",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}Response samples
- 200
- default
{- "id": 1,
- "name": "petstore",
- "displayName": "Petstore API",
- "description": "some text...",
- "url": "/petstore",
- "status": "ACTIVE",
- "owner": 1,
- "tags": [
- "string"
], - "type": "REST",
- "gitUrl": "git@github.com:test/my-repo.git",
- "gitCredential": 1,
- "platformType": "AWS",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "hasImage": false,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "globalApiId": "string",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}Delete API
Delete an API.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| undeploy | boolean |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Get API icon
Get icon for an API, if present.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema:
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Upload API icon
Upload icon for an API. Any existing icon will be overwritten.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: multipart/form-data
| file required | string <binary> |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Delete API icon
Delete icon for an API.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Upload spec file for API
Upload raw spec file. If an API version corresponding to the version found in the spec file already exists, its spec file is overwritten. Otherwise a new API version with this spec file is created.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: multipart/form-data
| file required | string <binary> |
Responses
Response Schema: application/json
required | object (ApiSpecDTO) The associated API spec details. |
required | object (ApiVersionDTO) The API version details. |
Response samples
- 200
- default
{- "version": {
- "name": "string",
- "displayName": "string",
- "description": "string",
- "status": "CONCEPT",
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "aiGenerated": false,
- "aiGenStatusDetails": {
- "aiGenProcessId": "string",
- "aiGenStatus": "IN_PROGRESS",
- "aiGenStartedAt": "2019-08-24T14:15:22Z",
- "aiGenEstimatedTime": 0,
- "aiGenCompletedPercentage": 0,
- "aiGenError": "string",
- "aiGenRequestPayload": "string"
}, - "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "deployedOn": [
- {
- "id": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "stage": "PRODUCTION"
}
]
}, - "spec": {
- "name": "string",
- "type": "current",
- "updatedAt": "2019-08-24T14:15:22Z",
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "versionName": "string",
- "lintNumbers": {
- "securityErrors": 0,
- "securityWarnings": 0,
- "securityInfos": 0,
- "qualityErrors": 0,
- "qualityWarnings": 0,
- "qualityInfos": 0,
- "numberOfRuleSets": 0,
- "securityScore": 0,
- "qualityScore": 0,
- "updatedAt": "2019-08-24T14:15:22Z"
}, - "lintError": "string",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}
}List APIs
Get a filtered and paged list of all APIs.
Authorizations:
query Parameters
| text | string |
| name | string |
| owner | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| platformTypes | Array of strings |
| status | string Enum: "INACTIVE" "ACTIVE" |
| type | string Enum: "REST" "GRAPHQL" |
| environment | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| tags | Array of strings |
| deployed | boolean |
| product | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| candidatesForProduct | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| includeDeployedOn | boolean |
| includeRunningJobs | boolean |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiDTO) List of ApiDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "id": 1,
- "name": "petstore",
- "displayName": "Petstore API",
- "description": "some text...",
- "url": "/petstore",
- "status": "ACTIVE",
- "owner": 1,
- "tags": [
- "string"
], - "type": "REST",
- "gitUrl": "git@github.com:test/my-repo.git",
- "gitCredential": 1,
- "platformType": "AWS",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "hasImage": false,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "globalApiId": "string",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Create API
Create a new API.
Authorizations:
Request Body schema: application/jsonrequired
| displayName required | string Display name. |
| name required | string Technical name, used in URLs. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE (subscribable) or INACTIVE. |
| tags required | Array of strings unique |
| type required | string Enum: "REST" "GRAPHQL" |
| id | string <uuid> System-assigned ID (read-only). |
| description | string <= 1000 characters Optional description of the API. |
| url | string Base path on the gateway. |
| owner | string <uuid> Owning organization UUID. |
| gitUrl | string Git repo URL for Git-managed APIs. |
| gitCredential | string <uuid> Git credential UUID for repo access. |
| platformType | string Gateway platform (e.g. BOOMI, AWS, KONG). |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status across environments. |
| createdAt | string <date-time> Timestamp when the API was created (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this API (read-only). |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| globalApiId | string Identifier shared across all deployments of this API. For example, the ApiService Component ID when deployed to a Boomi gateway. |
Array of objects (RunningJobDTO) Active background jobs for this API. Requires includeRunningJobs=true. |
Responses
Response Schema: application/json
| displayName required | string Display name. |
| name required | string Technical name, used in URLs. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE (subscribable) or INACTIVE. |
| tags required | Array of strings unique |
| type required | string Enum: "REST" "GRAPHQL" |
| id | string <uuid> System-assigned ID (read-only). |
| description | string <= 1000 characters Optional description of the API. |
| url | string Base path on the gateway. |
| owner | string <uuid> Owning organization UUID. |
| gitUrl | string Git repo URL for Git-managed APIs. |
| gitCredential | string <uuid> Git credential UUID for repo access. |
| platformType | string Gateway platform (e.g. BOOMI, AWS, KONG). |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status across environments. |
| createdAt | string <date-time> Timestamp when the API was created (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this API (read-only). |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| globalApiId | string Identifier shared across all deployments of this API. For example, the ApiService Component ID when deployed to a Boomi gateway. |
Array of objects (RunningJobDTO) Active background jobs for this API. Requires includeRunningJobs=true. |
Request samples
- Payload
{- "id": 1,
- "name": "petstore",
- "displayName": "Petstore API",
- "description": "some text...",
- "url": "/petstore",
- "status": "ACTIVE",
- "owner": 1,
- "tags": [
- "string"
], - "type": "REST",
- "gitUrl": "git@github.com:test/my-repo.git",
- "gitCredential": 1,
- "platformType": "AWS",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "hasImage": false,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "globalApiId": "string",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}Response samples
- 200
- default
{- "id": 1,
- "name": "petstore",
- "displayName": "Petstore API",
- "description": "some text...",
- "url": "/petstore",
- "status": "ACTIVE",
- "owner": 1,
- "tags": [
- "string"
], - "type": "REST",
- "gitUrl": "git@github.com:test/my-repo.git",
- "gitCredential": 1,
- "platformType": "AWS",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "hasImage": false,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "globalApiId": "string",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}List API documentation files
List all uploaded documentation files for this API.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
Response samples
- 200
- default
[- "string"
]Upload API documentation image file
Upload image file for use in documentation of an API. If a file with the same name exists, it will be overwritten.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: multipart/form-data
| file required | string <binary> |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Replace API policy templates
Replace API policy templates assigned to a deployed API.
Authorizations:
path Parameters
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| apiDeploymentId required | string <uuid> |
Request Body schema: application/jsonrequired
required | Array of objects (ApiPolicyTemplateReferenceDTO) API policy templates applied to the path. |
| path required | string Path of the API at which the API policy templates are applied. |
Responses
Request samples
- Payload
[- {
- "path": "/v1/example",
- "apiPolicyTemplates": [
- {
- "apiPolicyTemplateId": "550e8400-e29b-41d4-a716-446655440000",
- "name": "Rate Limit",
- "version": 1
}
]
}
]Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Replace API policy templates asynchronously
Asynchronously replace API policy templates assigned to a deployed API.
Authorizations:
path Parameters
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| apiDeploymentId required | string <uuid> |
Request Body schema: application/jsonrequired
required | Array of objects (ApiPolicyTemplateReferenceDTO) API policy templates applied to the path. |
| path required | string Path of the API at which the API policy templates are applied. |
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Request samples
- Payload
[- {
- "path": "/v1/example",
- "apiPolicyTemplates": [
- {
- "apiPolicyTemplateId": "550e8400-e29b-41d4-a716-446655440000",
- "name": "Rate Limit",
- "version": 1
}
]
}
]Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Assign an API policy template
Assign a single API policy template to a deployed API without modifying existing assignments. The list of API policy templates in the request body must contain exactly one item.
Authorizations:
path Parameters
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| apiDeploymentId required | string <uuid> |
Request Body schema: application/jsonrequired
required | Array of objects (ApiPolicyTemplateReferenceDTO) API policy templates applied to the path. |
| path required | string Path of the API at which the API policy templates are applied. |
Responses
Request samples
- Payload
{- "path": "/v1/example",
- "apiPolicyTemplates": [
- {
- "apiPolicyTemplateId": "550e8400-e29b-41d4-a716-446655440000",
- "name": "Rate Limit",
- "version": 1
}
]
}Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Assign an API policy template asynchronously
Asynchronously assign a single API policy template to a deployed API without modifying existing assignments. The list of API policy templates in the request body must contain exactly one item.
Authorizations:
path Parameters
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| apiDeploymentId required | string <uuid> |
Request Body schema: application/jsonrequired
required | Array of objects (ApiPolicyTemplateReferenceDTO) API policy templates applied to the path. |
| path required | string Path of the API at which the API policy templates are applied. |
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Request samples
- Payload
{- "path": "/v1/example",
- "apiPolicyTemplates": [
- {
- "apiPolicyTemplateId": "550e8400-e29b-41d4-a716-446655440000",
- "name": "Rate Limit",
- "version": 1
}
]
}Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Score a spec file
Just calculate quality/security scores for a spec file without persisting it or creating any APIs.
Authorizations:
Request Body schema: application/jsonrequired
| document required | string Raw content of the API spec file to score. |
Responses
Response Schema: application/json
| numberOfRuleSets required | integer <int64> Number of rulesets applied. |
| qualityErrors required | integer <int64> Number of quality rule errors. |
| qualityInfos required | integer <int64> Number of quality rule infos. |
| qualityScore required | integer <int32> 0-100. |
| qualityWarnings required | integer <int64> Number of quality rule warnings. |
| securityErrors required | integer <int64> Number of security rule errors. |
| securityInfos required | integer <int64> Number of security rule infos. |
| securityScore required | integer <int32> 0-100. |
| securityWarnings required | integer <int64> Number of security rule warnings. |
| updatedAt required | string <date-time> Timestamp of the last lint run. |
Request samples
- Payload
{- "document": "string"
}Response samples
- 200
- default
{- "securityErrors": 0,
- "securityWarnings": 0,
- "securityInfos": 0,
- "qualityErrors": 0,
- "qualityWarnings": 0,
- "qualityInfos": 0,
- "numberOfRuleSets": 0,
- "securityScore": 0,
- "qualityScore": 0,
- "updatedAt": "2019-08-24T14:15:22Z"
}Check if API can be created
Check if a new (active) API can be created for the current tenant or if the tier limit has been reached.
Authorizations:
Responses
Response Schema: application/json
| canCreateActive required | boolean True if creating a new active resource is allowed within the current tier limits. |
Response samples
- 200
- default
{- "canCreateActive": true
}Download API documentation file
Get content of a previously uploaded API documentation file.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| fileName required | string |
Responses
Response Schema: application/octet-stream
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Delete API documentation file
Delete a previously uploaded API documentation file.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| fileName required | string |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}List API deployments
Get all deployments for an API.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiDeploymentDTO) List of ApiDeploymentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "id": 1,
- "environment": 1,
- "api": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "version": 1,
- "apiVersionId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "endpoints": [
- {
- "name": "string",
- "url": "string",
- "gatewayId": "string",
- "authentication": {
- "apiKeys": {
- "requestHeaders": {
- "property1": "string",
- "property2": "string"
}, - "requestParameters": {
- "property1": "string",
- "property2": "string"
}, - "requestBody": {
- "property1": "string",
- "property2": "string"
}, - "requestPath": {
- "property1": "string",
- "property2": "string"
}, - "custom": {
- "property1": "string",
- "property2": "string"
}
}
}
}
], - "authentication": {
- "apiKeys": {
- "requestHeaders": {
- "property1": "string",
- "property2": "string"
}, - "requestParameters": {
- "property1": "string",
- "property2": "string"
}, - "requestBody": {
- "property1": "string",
- "property2": "string"
}, - "requestPath": {
- "property1": "string",
- "property2": "string"
}, - "custom": {
- "property1": "string",
- "property2": "string"
}
}
}, - "apiDeploymentPolicies": [
- {
- "path": "/v1/example",
- "apiPolicyTemplates": [
- {
- "apiPolicyTemplateId": "550e8400-e29b-41d4-a716-446655440000",
- "name": "Rate Limit",
- "version": 1
}
]
}
]
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List visible APIs
Get APIs that are members of at least one visible API product.
Authorizations:
query Parameters
| text | string |
| platformTypes | Array of strings |
| tags | Array of strings |
| fullTextSearch | boolean |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiDTO) List of ApiDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "id": 1,
- "name": "petstore",
- "displayName": "Petstore API",
- "description": "some text...",
- "url": "/petstore",
- "status": "ACTIVE",
- "owner": 1,
- "tags": [
- "string"
], - "type": "REST",
- "gitUrl": "git@github.com:test/my-repo.git",
- "gitCredential": 1,
- "platformType": "AWS",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "hasImage": false,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "globalApiId": "string",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Delete API asynchronously
Asynchronously delete an API.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| undeploy | boolean |
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}